%define name	swami
%define version	0.9.1a
%define release	3mdk

%define major 	0
%define libname %mklibname %{name} %{major}

Summary:	A GPL sound font editor.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License: 	GPL
Group: 		Sound
URL: 		http://swami.sourceforge.net
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}16.png
Source2:	%{name}32.png
Source3:	%{name}48.png
Requires:	iiwusynth
BuildRequires:	libiiwusynth-devel libaudiofile-devel
BuildRequires:	libsndfile-devel libgtk+1.2-devel gettext zlib-devel
BuildRoot: 	%_tmppath/%{name}-root

%description
Swami is an instrument patch file editor using SoundFont files that allows
you to create and distribute instruments from audio samples used for
composing music. It uses iiwusynth, a software synthesizer, which has real
time effect control, support for modulators, and routable audio via Jack.
This project supersedes the Smurf Sound Font Editor, and is an entire
object-oriented rewrite of it. The supporting libraries are GUI-independent
and can be used in your own programs for doing SoundFont manipulation.

%package -n %libname
Summary:   Dynmaic libraries from Swami.
Group:     System/Libraries

%description -n %libname
Dynmaic libraries from Swami.

%package -n %libname-devel
Summary: Static libraries and header files from Swami.
Group:   Development/Other
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %libname-devel
Static libraries and header files from Swami.

%prep
%setup -q

%build
%configure2_5x	--disable-debug \
		--with-pic \
		--with-gnu-ld
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Multimedia/Sound" \
title="Swami" \
longtitle="Sound Font editor" \
command="swami" \
icon="%{name}.png"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir}
cat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
cat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README ABOUT-NLS
%{_bindir}/%name
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%name

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/%{name}/*.a
%{_libdir}/%{name}/*.la

%changelog
* Tue Apr 29 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.1a-3mdk
- be sure to own %{_libdir}/%{name} (from oliviers cute little friend;)
- use a few configure options
- buildrequires

* Wed Mar 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.1a-2mdk
- replace obsolete Copyright tag with License tag
- use %%mklibname macro
- use %%configure macro

* Wed Mar 19 2003 Austin Acton <aacton@yorku.ca> 0.9.1a-1mdk
- 0.9.1a

* Fri Jan 31 2003 Austin Acton <aacton@yorku.ca> 0.9.0-1mdk
- adapted spec file from Torbjorn Turpeinen <tobbe@nyvalls.se>
